## tde-style-lipstik-trinity 14.0.4

=== debian/changelog ===
tde-style-lipstik-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 13:54:49 +0200

tde-style-lipstik-trinity (2.2.3-4) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 Jul 2009 16:08:00 -0600

tde-style-lipstik-trinity (2.2.3-3) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 02 March 2009 01:07:00 -0600

tde-style-lipstik-trinity (2.2.3-1) intrepid; urgency=low

  * Added -trinity suffix

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 05 Dec 2008 09:38:00 -0600

tde-style-lipstik (2.2.3-1) unstable; urgency=low

  * New Upstream release
    - Added a configurable active tab highlight color

 -- Bastian Venthur <venthur@debian.org>  Tue, 30 Oct 2007 20:45:14 +0100

tde-style-lipstik (2.2.2-1) unstable; urgency=low

  * New upstream version
    - Added new automake1.9 dependency
    - Created style/lipstik.moc and style/config/listitdeconf.moc 

 -- Bastian Venthur <venthur@debian.org>  Thu, 24 May 2007 23:32:09 +0200

tde-style-lipstik (2.2.1-2) unstable; urgency=low

  * Bumped standards version (no changes)
  * Updated address in maintainer field

 -- Bastian Venthur <venthur@debian.org>  Wed, 18 Oct 2006 18:32:15 +0200

tde-style-lipstik (2.2.1-1) unstable; urgency=low

  * New upstream release
    + Some changes to get lipstik build with GCC 4.1
    + Disabled toolbar gradients by default (will need more work before it
      looks good)
  
  * Does not FTBFS due to missing automake since this new version is not
    relibtoolized for now. (Closes: #350213)

 -- Bastian Venthur <mail@venthur.de>  Tue, 28 Feb 2006 16:42:22 +0100

tde-style-lipstik (2.2-1) unstable; urgency=low

  * New upstream release
    + Added possibility to configure the spacing for menus
    + Re-added toolbar item spacing 
    + Added gradient option for toolbars
    + Replaced "Alternative menu gradients" by "Button-like menu gradients"
    + Sanitized default options
    + Fixed a couple of rendering bugs (especially with toolbar/dock handles)
    + Tweaked Lipstik Noble color-scheme a bit

 -- Bastian Venthur <mail@venthur.de>  Tue, 14 Feb 2006 10:11:35 +0100

tde-style-lipstik (2.1-2) unstable; urgency=low

  * updated libtool scripts (see #343963 for details)

 -- Bastian Venthur <mail@venthur.de>  Sun, 22 Jan 2006 15:48:17 +0100

tde-style-lipstik (2.1-1) unstable; urgency=low

  * New upstream release
    + Fix for the toolbar seperator net being the right color
    + Added an option to "compress" menus
    + The default checkmarks/radiobuttons color is now the highlighting color
    + Toolbar seperators were "on" by default

 -- Bastian Venthur <mail@venthur.de>  Sat, 10 Dec 2005 14:13:45 +0100

tde-style-lipstik (2.0-1) unstable; urgency=low

  * New upstream release, exerpt from the changelog:
    + Many bugfixes
    + One new color scheme
    + Resync'd with KDE 3.5 plasik
    + ...

 -- Bastian Venthur <mail@venthur.de>  Fri,  9 Dec 2005 12:09:00 +0100

tde-style-lipstik (1.3-1) unstable; urgency=low

  * Initial release Closes: #322356

 -- Bastian Venthur <mail@venthur.de>  Wed, 10 Aug 2005 12:50:42 +0200

## tde-style-lipstik-trinity 14.1.5

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


##### set project version ########################

include( TDEVersion )
cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
tde_set_project_version( )


#### general package setup

project( tde-style-lipstik )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS    "Enable all optional support" OFF )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL          "Build all" ON )
option( BUILD_TRANSLATIONS "Build translations" ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( style )


##### other data ################################

tde_conditional_add_project_translations( BUILD_TRANSLATIONS )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

=== style/CMakeLists.txt ===
add_subdirectory( config )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIBRARY_DIRS}
)


#####  lipstik (kpart)

tde_add_kpart( lipstik AUTOMOC

  SOURCES
        lipstik.cpp
        misc.cpp
  LINK
     tdecore-shared

  DESTINATION ${PLUGIN_INSTALL_DIR}/plugins/styles
)


##### other data

tde_create_translated_desktop(
    SOURCE lipstik.themerc
    DESTINATION ${DATA_INSTALL_DIR}/tdestyle/themes
)

tde_create_translated_desktop(
    SOURCE
        lipstikstandard.kcsrc
        lipstikwhite.kcsrc
        lipstiknoble.kcsrc

    DESTINATION ${DATA_INSTALL_DIR}/tdedisplay/color-schemes
)

## tde-style-lipstik-trinity 14.0.5

=== debian/changelog ===
tde-style-lipstik-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 08:40:22 +0200

=== debian/control ===
Source: tde-style-lipstik-trinity
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Build-Depends: debhelper (>= 7.0.50~), cdbs, quilt, tdelibs14-trinity-dev (>= 4:3.2), automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4

Package: tde-style-lipstik-trinity
Section: tde
Architecture: any
Replaces: kde-style-lipstik-kde3 (<< 4:14.0.0~), kde-style-lipstik-trinity (<< 4:14.0.0~)
Breaks: kde-style-lipstik-kde3 (<< 4:14.0.0~), kde-style-lipstik-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Lipstik style for TDE
 Based on the plastik style, Lipstik is a purified style with many options to
 tune your desktop look.
 .
 Lipstik also provides Lipstik-color-schemes

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/tde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: patch configure
	dh_testdir

	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
                --prefix=/opt/trinity --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
                --disable-debug --enable-final \
		--with-extra-libs=/opt/trinity/lib --with-extra-includes=/opt/trinity/include/tde
#               --with-qt-includes=/usr/include/qt3 --with-qt-libraries=/usr/lib/qt3/ 

build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	env PATH=/opt/trinity/bin:$(PATH) CMAKE_LIBRARY_PATH=/opt/trinity/lib $(MAKE)
	#docbook-to-man debian/tde-style-lipstik.sgml > tde-style-lipstik.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -f libtool 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub admin/config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess admin/config.guess
endif
	rm -f config.log

	dh_clean 

patch:
ifneq "$(wildcard /usr/share/libtool/ltmain.sh)" ""
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/config/ltmain.sh)" ""
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/build-aux/ltmain.sh)" ""
	cp -f /usr/share/libtool/build-aux/ltmain.sh admin/ltmain.sh
endif
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
	
	make -f admin/Makefile.common cvs
	touch debian/stamp-bootstrap

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tde-style-lipstik.
	env PATH=/opt/trinity/bin:$(PATH) CMAKE_LIBRARY_PATH=/opt/trinity/lib $(MAKE) install DESTDIR=$(CURDIR)/debian/tde-style-lipstik-trinity


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
##	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
##	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb $(DEB_DH_BUILDDEB_ARGS)

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## tde-style-lipstik-trinity 14.0.6

=== debian/changelog ===
tde-style-lipstik-trinity (4:14.0.6-0ubuntu17.10.0+0) artful; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 02:41:14 +0100

## tde-style-lipstik-trinity 14.0.8

=== debian/changelog ===
tde-style-lipstik-trinity (4:14.0.8-0ubuntu12.04.0+0) precise; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 12 Apr 2020 19:43:23 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tde
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
-Build-Depends: debhelper (>= 7.0.50~), cdbs, quilt, tdelibs14-trinity-dev (>= 4:3.2), automake, autoconf, libtool, libltdl-dev
+Build-Depends: debhelper (>= 9~), cdbs, quilt, cmake, tdelibs14-trinity-dev (>= 4:3.2)
 Standards-Version: 3.8.4
 
 Package: tde-style-lipstik-trinity

## tde-style-lipstik-trinity 14.0.9

=== debian/changelog ===
tde-style-lipstik-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Oct 2020 11:16:15 +0200

## tde-style-lipstik-trinity 14.0.10

=== debian/changelog ===
tde-style-lipstik-trinity (4:14.0.10-0ubuntu19.10.0+0) eoan; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

## tde-style-lipstik-trinity 14.0.11

=== debian/changelog ===
tde-style-lipstik-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#tde-style-lipstik

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 21 Oct 2021 15:24:07 +0200

## tde-style-lipstik-trinity 14.0.12

=== debian/changelog ===
tde-style-lipstik-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#tde-style-lipstik

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 31 Dec 2021 11:52:51 +0100

## tde-style-lipstik-trinity 14.0.13

=== debian/changelog ===
tde-style-lipstik-trinity (4:14.0.13-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#tde-style-lipstik

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 26 Jun 2022 08:37:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: tde-style-lipstik-trinity
 Section: tde
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
-Build-Depends: debhelper (>= 9~), cdbs, quilt, cmake, tdelibs14-trinity-dev (>= 4:3.2)
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
+Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake-trinity, ninja-build, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 
 Package: tde-style-lipstik-trinity

## tde-style-lipstik-trinity 14.1.0

=== debian/changelog ===
tde-style-lipstik-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#tde-style-lipstik

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tde
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake-trinity, ninja-build, tdelibs14-trinity-dev
+Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 
 Package: tde-style-lipstik-trinity

## tde-style-lipstik-trinity 14.1.1

=== debian/changelog ===
tde-style-lipstik-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#tde-style-lipstik

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 27 Sep 2023 15:21:14 +0200

## tde-style-lipstik-trinity 14.1.2

=== debian/changelog ===
tde-style-lipstik-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#tde-style-lipstik

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 17 Mar 2024 09:21:10 +0100

## tde-style-lipstik-trinity 14.1.3

=== debian/changelog ===
tde-style-lipstik-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#tde-style-lipstik

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Jul 2024 15:47:23 +0200

## tde-style-lipstik-trinity 14.1.4

=== debian/changelog ===
tde-style-lipstik-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#tde-style-lipstik

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

## tde-style-lipstik-trinity 14.1.5~pre0

=== debian/changelog ===
tde-style-lipstik-trinity (4:14.1.5~pre0-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for f03e4b545e69d54257a0d9974498fc06dbfbe5a4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tde-style-lipstik

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tde-style-lipstik-trinity 14.1.5

=== debian/changelog ===
tde-style-lipstik-trinity (4:14.1.5-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tde-style-lipstik

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/tde.mk

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DBUILD_ALL="ON" \
 -DWITH_ALL_OPTIONS="ON"

## tde-style-lipstik-trinity 14.1.6~pre0

=== debian/changelog ===
tde-style-lipstik-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for f03e4b545e69d54257a0d9974498fc06dbfbe5a4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tde-style-lipstik

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tde-style-lipstik-trinity 14.1.6~pre1

=== debian/changelog ===
tde-style-lipstik-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 3960b0c5f4ad51ce2e689970e19e4ef77efd69ea
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tde-style-lipstik

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 06:15:50 +0100

## tde-style-lipstik-trinity 14.2.0~pre29

=== debian/changelog ===
tde-style-lipstik-trinity (4:14.2.0~pre29-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 34820226203b50da92d949d330cb511559f45ae5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tde-style-lipstik

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

## tde-style-lipstik-trinity 14.2.0~pre30

=== debian/changelog ===
tde-style-lipstik-trinity (4:14.2.0~pre30-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for d4a9fbd6f12295fbd33e352fe1cd2c9975aa46ca
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tde-style-lipstik

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:11:49 +0100
